Utils
=====

.. automodule:: julearn.utils
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.utils

.. autosummary::
   :toctree: generated/
   :template: class.rst

    logger

Functions
---------
.. currentmodule:: julearn.utils

.. autosummary::
   :toctree: generated/
   :template: function.rst

    configure_logging
    raise_error
    warn_with_log


Typing
======

.. automodule:: julearn.utils.typing
   :no-members:
   :no-inherited-members:

Classes
-------

.. currentmodule:: julearn.utils.typing

.. autosummary::
   :toctree: generated/
   :template: class.rst

    JuEstimatorLike
    EstimatorLike
    EstimatorLikeFit1
    EstimatorLikeFit2
    EstimatorLikeFity
